package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.VehicleViolationsAddCmd;
import com.zcloud.primeport.dto.VehicleViolationsPageQry;
import com.zcloud.primeport.dto.VehicleViolationsUpdateCmd;
import com.zcloud.primeport.dto.clientobject.VehicleViolationsCO;

/**
 * web-client
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:29
 */
public interface VehicleViolationsServiceI {
    PageResponse<VehicleViolationsCO> listPage(VehicleViolationsPageQry qry);

    SingleResponse<VehicleViolationsCO> add(VehicleViolationsAddCmd cmd);

    void edit(VehicleViolationsUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    PageResponse<VehicleViolationsCO> violationRecordslistPage(VehicleViolationsPageQry qry);

    VehicleViolationsCO getInfoById(Long id);
}

